# (C) 2003 by Christian Scholz/MrTopf of COM.lounge

from Products.CMFCore.TypesTool import TypesTool, typeClasses
from Products.CMFCore.DirectoryView import registerDirectory
from cmfttwtypeinformation import CMFTTWTypeInformation
from cmfttwtypeinformation import manage_addCMFTTWTypeInformationForm
from cmfttwtypeinformation import manage_addCMFTTWTypeInformation
from cmfttwobject import CMFTTWObject, manage_addCMFTTWObject

ttwtype_globals=globals()

def initialize(context):

    # register skin directory
    registerDirectory('skins', globals())

    # add our type to the typeClasses list
    typeClasses.append(
	{'class'	    : CMFTTWTypeInformation,
	 'name'	    : CMFTTWTypeInformation.meta_type,
	 'action'	    : 'manage_addCMFTTWTypeInformationForm',
	 'permission'   : 'Manage portal'}
	)

    ### now some patching (don't see any other possibility)
    # add the form to the types tool as it's no product
    TypesTool.manage_addCMFTTWTypeInformationForm= \
	manage_addCMFTTWTypeInformationForm
    TypesTool.manage_addCMFTTWTypeInformation= \
	manage_addCMFTTWTypeInformation

    ### register the class for copysupport
    context.registerClass(
	CMFTTWObject,
	constructors=(manage_addCMFTTWObject,)
	)

    ### register the icon
    from Products.CMFCore import utils, cmfcore_globals
    utils.registerIcon(CMFTTWTypeInformation,
	    'images/typeinfo.gif', cmfcore_globals)



